{
    "name": "laravel/laravel",
    "type": "project",
    "description": "The Laravel Framework.",
    "keywords": ["laravel", "framework"],
    "license": "MIT",
    "require": {
        "php": "^8.2|8.3",
        "ext-curl": "*",
        "ext-pdo": "*",
        "barryvdh/laravel-snappy": "^1.0",
        "clarkeash/doorman": "^9.0",
        "eduardokum/laravel-mail-auto-embed": "^2.0",
        "laravel/dreamscape": "^0.1.0",
        "laravel/framework": "^11.0",
        "laravel/intuit": "^0.1.7",
        "laravel/passport": "^12.0",
        "laravel/socialite": "^5.15",
        "laravel/ui": "^4.5",
        "leenooks/laravel": "^11.1",
        "leenooks/passkey": "^0.2",
        "paypal/paypal-checkout-sdk": "^1.0",
        "repat/laravel-job-models": "^0.9",
        "web-auth/webauthn-lib": "^4.4"
    },
    "require-dev": {
        "barryvdh/laravel-debugbar": "^3.6",
        "fakerphp/faker": "^1.23",
        "mockery/mockery": "^1.6",
        "nunomaduro/collision": "^8.0",
        "phpunit/phpunit": "^11.0.1",
        "spatie/laravel-ignition": "^2.4"
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/"
        },
        "files": [
            "helpers.php"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "repositories": {
        "intuit": {
            "type": "vcs",
            "url": "https://gitea.dege.au/laravel/intuit.git"
        },
        "leenooks": {
            "type": "vcs",
            "url": "https://gitea.dege.au/laravel/leenooks.git"
        },
        "dreamscape": {
            "type": "vcs",
            "url": "https://gitea.dege.au/laravel/dreamscape.git"
        },
        "laravel-console-summary": {
            "type": "vcs",
            "url": "https://github.com/leenooks/laravel-console-summary"
        },
        "passkey": {
            "type": "vcs",
            "url": "https://gitea.dege.au/laravel/passkey.git"
        }
    },
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ]
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true
    },
    "minimum-stability": "stable",
    "prefer-stable": true
}
